=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-02-08 11:04:34 +0000
+++ drizzled/show.cc	2009-02-16 14:08:16 +0000
@@ -307,13 +307,13 @@
       file_name_len= filename_to_tablename(file->name, uname, sizeof(uname));
       if (wild)
       {
-	if (lower_case_table_names)
-	{
-	  if (wild_case_compare(files_charset_info, uname, wild))
-	    continue;
-	}
-	else if (wild_compare(uname, wild, 0))
-	  continue;
+        if (lower_case_table_names)
+        {
+          if (wild_case_compare(files_charset_info, uname, wild))
+            continue;
+        }
+        else if (wild_compare(uname, wild, 0))
+          continue;
       }
     }
     if (!(file_name=
@@ -330,8 +330,7 @@
 }
 
 
-bool
-mysqld_show_create(Session *session, TableList *table_list)
+bool drizzled_show_create(Session *session, TableList *table_list)
 {
   Protocol *protocol= session->protocol;
   char buff[2048];
@@ -367,7 +366,9 @@
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
+  {
     return(true);
+  }
   protocol->prepare_for_resend();
   {
     if (table_list->schema_table)
@@ -523,8 +524,7 @@
 
   has_default= (field->type() != DRIZZLE_TYPE_BLOB &&
                 !(field->flags & NO_DEFAULT_VALUE_FLAG) &&
-                field->unireg_check != Field::NEXT_NUMBER
-                  && has_now_default);
+                field->unireg_check != Field::NEXT_NUMBER);
 
   def_value->length(0);
   if (has_default)
@@ -555,7 +555,6 @@
       def_value->append(STRING_WITH_LEN("NULL"));    // Null as default
     else
       return 0;
-
   }
   return has_default;
 }
@@ -618,9 +617,7 @@
     if (lower_case_table_names == 2)
       alias= table->alias;
     else
-    {
       alias= share->table_name.str;
-    }
   }
   packet->append_identifier(alias, strlen(alias));
   packet->append(STRING_WITH_LEN(" (\n"));
@@ -670,17 +667,18 @@
     {
       if (field->charset() != share->table_charset)
       {
-	packet->append(STRING_WITH_LEN(" CHARACTER SET "));
-	packet->append(field->charset()->csname);
+        packet->append(STRING_WITH_LEN(" CHARACTER SET "));
+        packet->append(field->charset()->csname);
       }
+
       /*
-	For string types dump collation name only if
-	collation is not primary for the given charset
+        For string types dump collation name only if
+        collation is not primary for the given charset
       */
       if (!(field->charset()->state & MY_CS_PRIMARY))
       {
-	packet->append(STRING_WITH_LEN(" COLLATE "));
-	packet->append(field->charset()->name);
+        packet->append(STRING_WITH_LEN(" COLLATE "));
+        packet->append(field->charset()->name);
       }
     }
 
@@ -772,7 +770,7 @@
 
       if (key_part->field)
         packet->append_identifier(key_part->field->field_name,
-			  strlen(key_part->field->field_name));
+                                  strlen(key_part->field->field_name));
       if (key_part->field &&
           (key_part->length !=
            table->field[key_part->fieldnr-1]->key_length()))

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2009-02-07 22:02:41 +0000
+++ drizzled/show.h	2009-02-16 14:08:16 +0000
@@ -78,7 +78,7 @@
 bool mysqld_show_logs(Session *session);
 void mysqld_list_fields(Session *session,TableList *table, const char *wild);
 int mysqld_dump_create_info(Session *session, TableList *table_list, int fd);
-bool mysqld_show_create(Session *session, TableList *table_list);
+bool drizzled_show_create(Session *session, TableList *table_list);
 bool mysqld_show_create_db(Session *session, char *dbname, HA_CREATE_INFO *create);
 
 int mysqld_show_status(Session *session);

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-02-11 20:09:54 +0000
+++ drizzled/sql_parse.cc	2009-02-16 14:08:16 +0000
@@ -1349,7 +1349,7 @@
   case SQLCOM_SHOW_CREATE:
     assert(first_table == all_tables && first_table != 0);
     {
-      res= mysqld_show_create(session, first_table);
+      res= drizzled_show_create(session, first_table);
       break;
     }
   case SQLCOM_CHECKSUM:

